Package classycle

# Class PackageAttributes

java.lang.Object
classycle.graph.NameAttributes
classycle.NameAndSourceAttributes
classycle.PackageAttributes

All Implemented Interfaces:
  `Attributes`, `Comparable<Attributes>`

public class PackageAttributes extends NameAndSourceAttributes

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`PackageAttributes(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addClass(ClassAttributes classAttributes)`
`String[]`
`getClasses()`
`int`
`getSize()`

### Methods inherited from class classycle.NameAndSourceAttributes

`addSource, addSourcesOf, getSources`

### Methods inherited from class classycle.graph.NameAttributes

`compareTo, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageAttributes

public PackageAttributes(String name)

## Method Details

### getSize

public int getSize()

Specified by:
  `getSize` in class `NameAttributes`

### getClasses

public String[] getClasses()

### addClass

public void addClass(ClassAttributes classAttributes)